#include <iostream>

using namespace std;

int main()
{
    int T, N, ba=0 , bb=0;
    cin>>T;
    int To[T];
    long long A[100000], B[100000];
    for(int i=0; i<T; i++)
    {
        cin>>N;
        ba=0;
        bb=0;
        for(int j=0; j<N; j++)
            {cin>>A[j];
             ba+=A[j];
            }
        for(int k=0; k<N; k++)
            {cin>>B[k];
             bb+=B[k];
            }
        if(abs(bb)-abs(ba)==0)
            To[i]=1;
        else
            To[i]=0;
    }
    for(int i=0; i<T; i++)
    {
        if(To[i]==1)
            cout<<"DA"<<endl;
        else
            cout<<"NE"<<endl;
    }
    return 0;
}